DescribeInstances
1. API Description
This API (DescribeInstances) is used to query the details of instances. You can filter the query results with the instance ID, name, or billing method.
2. Input Parameters
The following request parameter list only provides API request parameters.
instanceIds
No
Array of String
Instance IDs.
You can query up to 100 instances in each request.
zoneId
No
String
Zone ID to which the instances belong.
imageId
No
String
Image ID.
ipv4Address
No
String
IPv4 addresses.
ipv6Address
No
String
IPv6 addresses.
name
No
String
Instance name.
pageSize
No
Integer
Number of items in the current page result.
Maximum value: 1000.
Default value: 20
pageNum
No
Integer
Number of pages returned.
Default value: 1
resourceGroupId
No
String
Resource Group ID.
tagKeys
No
Array of String
Query using tag keys.
A maximum of 20 tag keys can be used.
3. Output Parameters
requestId
String
The unique request ID, which is returned for each request.
RequestId is required for locating a problem.
totalCount
Integer
Number of instances meeting the filtering conditions.
4. Code Example
Query list of elastic compute instances.
5. Developer Resources
Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.
6. Error Codes
The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.
HTTP Status Code
Error Code
Description
Last updated